Cyberduck Mountain Duck CLI

#2632 closed defect (fixed)

Retry for incomplete transfers fail

Reported by: darmok Owned by: dkocher
Priority: high Milestone: 3.0.3
Component: core Version: 3.0.2
Severity: major Keywords:
Cc: dantearmok@… Architecture:
Platform:

Description

Using Cyberduck 3.0.3 (4180), OS X 10.4.11.

All large ftp downloads result in a transfer incomplete either at a gb boundry (around 1023 KB) or within 100 KB of the end. The auto-resumes all fail. Have to quit Cyberduck and relaunch to get the resume to work.

An example ftp session log, from the Transfers window (ip obscured):

227 Entering Passive Mode (XX,XX,XX,XX,197,174).
RETR testfile.mpg
150 Opening BINARY mode data connection for testfile.mpg (1237860008 bytes)
QUIT
220 ProFTPD 1.2.10 Server (ORINOCO FTP SERVER) [192.168.2.243]
QUIT
221 Goodbye.

And the resulting console log entries:

2008-10-05 13:47:12,774 [Background] ERROR ch.cyberduck.core.ftp.FTPSession - IO Error: Read timed out
Exception in thread "Background" java.lang.NullPointerException
	at ch.cyberduck.core.Session.login(Session.java:145)
	at ch.cyberduck.core.ftp.FTPSession.connect(FTPSession.java:227)
	at ch.cyberduck.core.Session.check(Session.java:83)
	at ch.cyberduck.core.ftp.FTPSession.check(FTPSession.java:180)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:515)
	at ch.cyberduck.core.Transfer.start(Transfer.java:643)
	at ch.cyberduck.ui.cocoa.CDTransferController$4.run(CDTransferController.java:581)
	at ch.cyberduck.ui.cocoa.threading.RepeatableBackgroundAction.finish(RepeatableBackgroundAction.java:186)
	at ch.cyberduck.ui.cocoa.CDTransferController$4.finish(CDTransferController.java:592)
	at ch.cyberduck.ui.cocoa.CDWindowController$1.run(CDWindowController.java:110)
2008-10-05 13:49:57,178 [Background] ERROR ch.cyberduck.core.ftp.FTPSession - IO Error: Broken pipe

For the purposes of debugging, if you add some more logging to your nightly, I can provide its results...

Change History (2)

comment:1 Changed on Oct 5, 2008 at 10:15:08 PM by dkocher

  • Status changed from new to assigned

comment:2 Changed on Oct 6, 2008 at 10:15:27 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
  • Summary changed from Transfer incomplete, read timed out, broken pipe to Retry for incomplete transfers fail

In r4187.

Note: See TracTickets for help on using tickets.